import { SyllableSDK } from "syllable-sdk";
const syllableSDK = new SyllableSDK({
apiKeyHeader: process.env["SYLLABLESDK_API_KEY_HEADER"] ?? "",
});
async function run() {
const result = await syllableSDK.insights.workflows.activate({
workflowId: 303095,
insightWorkflowActivate: {
isAcknowledged: true,
estimate: {
backfillCount: 100,
backfillDuration: 1000,
estimatedDailyCount: 10,
estimatedDailyDuration: 3674.11,
estimatedDailyCost: 45.25,
estimatedBackfillCost: 4561,
},
},
});
console.log(result);
}
run();import os
from syllable_sdk import SyllableSDK
with SyllableSDK(
api_key_header=os.getenv("SYLLABLESDK_API_KEY_HEADER", ""),
) as ss_client:
res = ss_client.insights.workflows.activate(workflow_id=303095, insight_workflow_activate={
"is_acknowledged": True,
"estimate": {
"backfill_count": 100,
"backfill_duration": 1000,
"estimated_daily_count": 10,
"estimated_daily_duration": 3674.11,
"estimated_daily_cost": 45.25,
"estimated_backfill_cost": 4561,
},
})
# Handle response
print(res)curl --request PUT \
--url https://api.syllable.cloud/api/v1/insights/workflows/{workflow_id}/activate \
--header 'Content-Type: application/json' \
--header 'Syllable-API-Key: <api-key>' \
--data '
{
"is_acknowledged": true,
"estimate": {
"backfill_count": 100,
"backfill_duration": 1000,
"estimated_daily_count": 10,
"estimated_daily_duration": "3674.11",
"estimated_daily_cost": "45.25",
"estimated_backfill_cost": "4561.00"
}
}
'const options = {
method: 'PUT',
headers: {'Syllable-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
is_acknowledged: true,
estimate: {
backfill_count: 100,
backfill_duration: 1000,
estimated_daily_count: 10,
estimated_daily_duration: '3674.11',
estimated_daily_cost: '45.25',
estimated_backfill_cost: '4561.00'
}
})
};
fetch('https://api.syllable.cloud/api/v1/insights/workflows/{workflow_id}/activate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "summary-workflow",
"source": "agent",
"description": "Default workflow - generates a summary of the call",
"insight_tool_ids": [
1
],
"conditions": {
"min_duration": 120,
"max_duration": 600,
"sample_rate": 0.1,
"agent_list": [
866324,
826325
],
"prompt_list": [
"123324"
],
"folder_list": [
16754,
67535
],
"sheet_info": {
"sheet_id": "1AGOCYz05AZYYOMzow2EYlgdDXSXaWIhyA3-zCxBm4go",
"sheet_name": "Q1 Sales Data"
}
},
"id": 1,
"insight_tools": [
{
"name": "summary-tool",
"description": "This tool uses GPT4.1 to generate a summary of the call",
"version": 1,
"tool_arguments": {
"prompt": "Provide a concise, accurate summary of the conversation's key points, focusing on the user's goal and how the agent responded"
},
"insight_tool_definition_id": 1,
"id": 1,
"last_updated_by": "user@email.com",
"insight_tool_definition": {
"id": 1,
"name": "llm_tool",
"type": "<string>",
"description": "An LLM tool evaluates a transcript with a given prompt",
"tool_parameters": {
"prompt": "string"
},
"tool_result_set": {
"summary": "string"
}
},
"created_at": "2026-08-31T00:00:00Z",
"updated_at": "2026-09-01T00:00:00Z"
}
],
"status": "ACTIVE",
"estimate": {
"backfill_count": 100,
"backfill_duration": 1000,
"estimated_daily_count": 10,
"estimated_daily_duration": "3674.11",
"estimated_daily_cost": "45.25",
"estimated_backfill_cost": "4561.00"
},
"last_updated_by": "user@email.com",
"start_datetime": "2026-08-31T00:00:00Z",
"end_datetime": "2026-09-01T00:00:00Z",
"queue_count": 10,
"failed_count": 2,
"created_at": "2026-08-31T00:00:00Z",
"updated_at": "2026-09-01T00:00:00Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Activate Insights Workflow
Activate an InsightWorkflow.
import { SyllableSDK } from "syllable-sdk";
const syllableSDK = new SyllableSDK({
apiKeyHeader: process.env["SYLLABLESDK_API_KEY_HEADER"] ?? "",
});
async function run() {
const result = await syllableSDK.insights.workflows.activate({
workflowId: 303095,
insightWorkflowActivate: {
isAcknowledged: true,
estimate: {
backfillCount: 100,
backfillDuration: 1000,
estimatedDailyCount: 10,
estimatedDailyDuration: 3674.11,
estimatedDailyCost: 45.25,
estimatedBackfillCost: 4561,
},
},
});
console.log(result);
}
run();import os
from syllable_sdk import SyllableSDK
with SyllableSDK(
api_key_header=os.getenv("SYLLABLESDK_API_KEY_HEADER", ""),
) as ss_client:
res = ss_client.insights.workflows.activate(workflow_id=303095, insight_workflow_activate={
"is_acknowledged": True,
"estimate": {
"backfill_count": 100,
"backfill_duration": 1000,
"estimated_daily_count": 10,
"estimated_daily_duration": 3674.11,
"estimated_daily_cost": 45.25,
"estimated_backfill_cost": 4561,
},
})
# Handle response
print(res)Authorizations
Path Parameters
Body
Response
Successful Response
Response model for an insight workflow.
Human-readable name of insight workflow
"summary-workflow"
Source of the workflow
"agent"
"transfer"
"upload"
"sheet"
"manual"
Text description of workflow
"Default workflow - generates a summary of the call"
Ordered list of IDs of tool configurations to be executed in the workflow
[1]
Conditions (filters) on which a workflow should be triggered.
Show child attributes
Show child attributes
Internal ID of the insight workflow
1
List of insight tool configurations used in the workflow
Show child attributes
Show child attributes
Status of the insight workflow
"ACTIVE"
"INACTIVE"
Estimate of the number of calls that will be processed by the workflow and their cost
Show child attributes
Show child attributes
Email of user who last updated Insight Workflow
"user@email.com"
Target session timestamp the workflow (backfill) should start. An empty value indicates start on activation - live sessions only
"2026-08-31T00:00:00Z"
Target session timestamp the workflow (backfill) should end. An empty value indicates no end, i.e., include live sessions until deactivation
"2026-09-01T00:00:00Z"
Number of calls in the workflow queue (pending or processing)
10
Number of workflow executions currently in FAILED status
2
Timestamp at which the insight workflow was created
"2026-08-31T00:00:00Z"
Timestamp of most recent update to the insight workflow
"2026-09-01T00:00:00Z"

